package com.sybotan.android.demo.retrofit;
/**
 * Created by weimo on 2020/7/13.
 */
public class BaseActionEvent {
    private int action;
    //接口请求时
    public static final int SHOW_LOADING_DIALOG = 1;
    //接口请求结束
    public static final int DISMISS_LOADING_DIALOG = 2;
    //显示吐司
    public static final int SHOW_TOAST = 3;
    //接口请求失败
    public static final int SHOW_ERROR_LOAD_DIALOG = 4;

    private String message;

    public BaseActionEvent(int action) {
        this.action = action;
    }

    public int getAction() {
        return action;
    }

    public void setAction(int action) {
        this.action = action;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
